html,
body {
  height: 100%;
  overflow: hidden;
}

body {
  margin: 0;
  font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial,
    sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

#root {
  display: flex;
  height: 100%;
}

main {
  padding: 20px;
}

.counter {
  padding: 20px;
  display: inline-block;
}

*:focus {
  outline: none;
}

/* SourceSansPro */

@font-face {
  font-family: SourceSansPro;
  src: url(fonts/Source_Sans_Pro/SourceSansPro-Light.ttf) format("truetype");
  font-weight: 300;
  font-style: normal;
  font-stretch: normal;
  font-display: swap;
}

@font-face {
  font-family: SourceSansPro;
  src: url(fonts/Source_Sans_Pro/SourceSansPro-Regular.ttf) format("truetype");
  font-weight: normal; /* 400 */
  font-style: normal;
  font-stretch: normal;
  font-display: swap;
}

@font-face {
  font-family: SourceSansPro;
  src: url(fonts/Source_Sans_Pro/SourceSansPro-SemiBold.ttf) format("truetype");
  font-weight: 600;
  font-style: normal;
  font-stretch: normal;
  font-display: swap;
}

@font-face {
  font-family: SourceSansPro;
  src: url(fonts/Source_Sans_Pro/SourceSansPro-Bold.ttf) format("truetype");
  font-weight: bold; /* 700 */
  font-style: normal;
  font-stretch: normal;
  font-display: swap;
}

@font-face {
  font-family: SourceSansPro;
  src: url(fonts/Source_Sans_Pro/SourceSansPro-Black.ttf) format("truetype");
  font-weight: 900;
  font-style: normal;
  font-stretch: normal;
  font-display: swap;
}

/* JetBrainsMono */

@font-face {
  font-family: JetBrainsMono;
  src: url(fonts/JetBrains_Mono/JetBrainsMono-ExtraLight.ttf) format("truetype");
  font-weight: 200;
  font-style: normal;
  font-stretch: normal;
  font-display: swap;
}

@font-face {
  font-family: JetBrainsMono;
  src: url(/fonts/JetBrains_Mono/JetBrainsMono-Light.ttf) format("truetype");
  font-weight: 300;
  font-style: normal;
  font-stretch: normal;
  font-display: swap;
}

@font-face {
  font-family: JetBrainsMono;
  src: url(/fonts/JetBrains_Mono/JetBrainsMono-Bold.ttf) format("truetype");
  font-weight: bold; 
  font-style: normal;
  font-stretch: normal;
  font-display: swap;
}


*::-webkit-scrollbar-track-piece {
    background-color: transparent;
    color:transparent;
}

::-webkit-scrollbar-thumb {
    height: 1em;
    border: 0.5em solid rgba(0, 0, 0, 0);
    background-clip: padding-box;
    -webkit-border-radius: 1em;
    -webkit-box-shadow: inset 0 0 0 10px rgb(166, 166, 166);
    /* the inset is what the user sees on screen. the thumb is hidden by
     its own border */
}

::-webkit-scrollbar {
    width: 1.3em;  /* Total width including `border-width` of scrollbar thumb */
    height: 0;
}
